ื“ืœื’ ืœืชื•ื›ืŸ ื”ืจืืฉื™

Employee Notification Endpoints

Manage employee notification preferences and settings.

Base Pathโ€‹

/api/employee-notification-setting

Endpointsโ€‹

Get Notification Settingsโ€‹

GET /api/employee-notification-setting
Authorization: Bearer {token}

Response:

{
"assignTask": true,
"teams": true,
"mention": true,
"submit": true,
"approval": true,
"email": false,
"push": true,
"inApp": true
}

Update Notification Settingsโ€‹

PUT /api/employee-notification-setting/:id
Authorization: Bearer {token}
{
"assignTask": true,
"teams": true,
"mention": true,
"submit": true,
"approval": true,
"email": true,
"push": true,
"inApp": true
}

Notification Eventsโ€‹

EventDescriptionChannels
assignTaskTask assigned to employeeAll
teamsTeam updatesIn-app
mention@mentioned in commentAll
submitTimesheet submittedEmail
approvalTimesheet approved/deniedAll